VST 3 Examples: againentry.cpp File Reference
Author: Steinberg

VST 3 Examples VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Macros | Functions | Variables
againentry.cpp File Reference
`#include "again.h"`
`#include "againsidechain.h"`
`#include "againcontroller.h"`
`#include "againcids.h"`
`#include "version.h"`
`#include "public.sdk/source/main/pluginfactory.h"`

## Macros
#define | stringPluginName "AGain VST3"
#define | stringPluginSideChainName "AGain SideChain VST3"

## Functions
| BEGIN_FACTORY_DEF ("Steinberg Media Technologies", "http://www.steinberg.net", "mailto:info@steinberg.de") DEF_CLASS2(INLINE_UID_FROM_FUID(AGainProcessorUID)
AGain Steinberg::Vst::AGain::createInstance | DEF_CLASS2 (INLINE_UID_FROM_FUID(AGainControllerUID), PClassInfo::kManyInstances, kVstComponentControllerClass, "AGain VST3" "Controller", 0, "", FULL_VERSION_STR, kVstVersionString, Steinberg::Vst::AGainController::createInstance) DEF_CLASS2(INLINE_UID_FROM_FUID(AGainWithSideChainProcessorUID)

## Variables
| kVstAudioEffectClass
AGain | VST3
AGain | Fx
AGain | FULL_VERSION_STR
AGain | kVstVersionString

## Macro Definition Documentation

## ◆ stringPluginName

#define stringPluginName "AGain VST3"

## ◆ stringPluginSideChainName

#define stringPluginSideChainName "AGain SideChain VST3"

## Function Documentation

## ◆ BEGIN_FACTORY_DEF()

BEGIN_FACTORY_DEF | ( | "Steinberg Media Technologies" | ,
|  | "http://www.steinberg.net" | ,
|  | "mailto:info@steinberg.de" | )

## ◆ DEF_CLASS2()

AGain Steinberg::Vst::AGain::createInstance DEF_CLASS2 | ( | INLINE_UID_FROM_FUID(AGainControllerUID) | ,
|  | PClassInfo::kManyInstances | ,
|  | kVstComponentControllerClass | ,
|  | "AGain VST3" "Controller" | ,
|  | 0 | ,
|  | "" | ,
|  | FULL_VERSION_STR | ,
|  | kVstVersionString | ,
|  | Steinberg::Vst::AGainController::createInstance | )

## Variable Documentation

## ◆ kVstAudioEffectClass

AGain Steinberg::Vst::AGain::createInstance kVstAudioEffectClass

## ◆ VST3

AGain Steinberg::Vst::AGain::createInstance AGain SideChain VST3

## ◆ Fx

AGain Steinberg::Vst::AGain::createInstance AGain SideChain Fx

## ◆ FULL_VERSION_STR

AGain Steinberg::Vst::AGain::createInstance AGain SideChain FULL_VERSION_STR

## ◆ kVstVersionString

AGain Steinberg::Vst::AGain::createInstance AGain SideChain kVstVersionString

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.